# Author:       Scott Philip (sp@scottphilip.com)
# Version:      1.2 (25 July 2017)
# Source:       https://github.com/scottphilip/caller-lookup/
# Licence:      GNU GENERAL PUBLIC LICENSE (Version 3, 29 June 2007)


class CallerLookupCountryCodes(object):
    COUNTRY_DATA = [
        {
            "COUNTRY_ID": "Afghanistan",
            "COUNTRY_NAME": "Afghanistan",
            "COUNTRY_CODE": "af",
            "COUNTRY_INT_DIAL_CODE": "93"
        },
        {
            "COUNTRY_ID": "Albania",
            "COUNTRY_NAME": "Albania",
            "COUNTRY_CODE": "al",
            "COUNTRY_INT_DIAL_CODE": "355"
        },
        {
            "COUNTRY_ID": "Algeria",
            "COUNTRY_NAME": "Algeria",
            "COUNTRY_CODE": "dz",
            "COUNTRY_INT_DIAL_CODE": "213"
        },
        {
            "COUNTRY_ID": "AmericanSamoa",
            "COUNTRY_NAME": "American Samoa",
            "COUNTRY_CODE": "as",
            "COUNTRY_INT_DIAL_CODE": "1684"
        },
        {
            "COUNTRY_ID": "Andorra",
            "COUNTRY_NAME": "Andorra",
            "COUNTRY_CODE": "ad",
            "COUNTRY_INT_DIAL_CODE": "376"
        },
        {
            "COUNTRY_ID": "Angola",
            "COUNTRY_NAME": "Angola",
            "COUNTRY_CODE": "ao",
            "COUNTRY_INT_DIAL_CODE": "244"
        },
        {
            "COUNTRY_ID": "Anguilla",
            "COUNTRY_NAME": "Anguilla",
            "COUNTRY_CODE": "ai",
            "COUNTRY_INT_DIAL_CODE": "1264"
        },
        {
            "COUNTRY_ID": "AntiguaandBarbuda",
            "COUNTRY_NAME": "Antigua and Barbuda",
            "COUNTRY_CODE": "ag",
            "COUNTRY_INT_DIAL_CODE": "1268"
        },
        {
            "COUNTRY_ID": "Argentina-BuenosAires",
            "COUNTRY_NAME": "Argentina",
            "COUNTRY_CODE": "ar",
            "COUNTRY_INT_DIAL_CODE": "54"
        },
        {
            "COUNTRY_ID": "Armenia",
            "COUNTRY_NAME": "Armenia",
            "COUNTRY_CODE": "am",
            "COUNTRY_INT_DIAL_CODE": "374"
        },
        {
            "COUNTRY_ID": "Aruba",
            "COUNTRY_NAME": "Aruba",
            "COUNTRY_CODE": "aw",
            "COUNTRY_INT_DIAL_CODE": "297"
        },
        {
            "COUNTRY_ID": "Australia",
            "COUNTRY_NAME": "Australia",
            "COUNTRY_CODE": "au",
            "COUNTRY_INT_DIAL_CODE": "61"
        },
        {
            "COUNTRY_ID": "Austria",
            "COUNTRY_NAME": "Austria",
            "COUNTRY_CODE": "at",
            "COUNTRY_INT_DIAL_CODE": "43"
        },
        {
            "COUNTRY_ID": "Azerbaijan",
            "COUNTRY_NAME": "Azerbaijan",
            "COUNTRY_CODE": "az",
            "COUNTRY_INT_DIAL_CODE": "994"
        },
        {
            "COUNTRY_ID": "Bahamas",
            "COUNTRY_NAME": "Bahamas",
            "COUNTRY_CODE": "bs",
            "COUNTRY_INT_DIAL_CODE": "1242"
        },
        {
            "COUNTRY_ID": "Bahrain",
            "COUNTRY_NAME": "Bahrain",
            "COUNTRY_CODE": "bh",
            "COUNTRY_INT_DIAL_CODE": "973"
        },
        {
            "COUNTRY_ID": "Bangladesh",
            "COUNTRY_NAME": "Bangladesh",
            "COUNTRY_CODE": "bd",
            "COUNTRY_INT_DIAL_CODE": "880"
        },
        {
            "COUNTRY_ID": "Barbados",
            "COUNTRY_NAME": "Barbados",
            "COUNTRY_CODE": "bb",
            "COUNTRY_INT_DIAL_CODE": "1246"
        },
        {
            "COUNTRY_ID": "Belarus",
            "COUNTRY_NAME": "Belarus",
            "COUNTRY_CODE": "by",
            "COUNTRY_INT_DIAL_CODE": "375"
        },
        {
            "COUNTRY_ID": "Belgium",
            "COUNTRY_NAME": "Belgium",
            "COUNTRY_CODE": "be",
            "COUNTRY_INT_DIAL_CODE": "32"
        },
        {
            "COUNTRY_ID": "Belize",
            "COUNTRY_NAME": "Belize",
            "COUNTRY_CODE": "bz",
            "COUNTRY_INT_DIAL_CODE": "501"
        },
        {
            "COUNTRY_ID": "Benin",
            "COUNTRY_NAME": "Benin",
            "COUNTRY_CODE": "bj",
            "COUNTRY_INT_DIAL_CODE": "229"
        },
        {
            "COUNTRY_ID": "Bermuda",
            "COUNTRY_NAME": "Bermuda",
            "COUNTRY_CODE": "bm",
            "COUNTRY_INT_DIAL_CODE": "1441"
        },
        {
            "COUNTRY_ID": "Bhutan",
            "COUNTRY_NAME": "Bhutan",
            "COUNTRY_CODE": "bt",
            "COUNTRY_INT_DIAL_CODE": "975"
        },
        {
            "COUNTRY_ID": "Bolivia",
            "COUNTRY_NAME": "Bolivia",
            "COUNTRY_CODE": "bo",
            "COUNTRY_INT_DIAL_CODE": "591"
        },
        {
            "COUNTRY_ID": "BosniaAndHerzegovina",
            "COUNTRY_NAME": "Bosnia and Herzegovina",
            "COUNTRY_CODE": "ba",
            "COUNTRY_INT_DIAL_CODE": "387"
        },
        {
            "COUNTRY_ID": "Botswana",
            "COUNTRY_NAME": "Botswana",
            "COUNTRY_CODE": "bw",
            "COUNTRY_INT_DIAL_CODE": "267"
        },
        {
            "COUNTRY_ID": "Brazil",
            "COUNTRY_NAME": "Brazil",
            "COUNTRY_CODE": "br",
            "COUNTRY_INT_DIAL_CODE": "55"
        },
        {
            "COUNTRY_ID": "BritishIndianOceanTerritory",
            "COUNTRY_NAME": "British Indian Ocean Territory",
            "COUNTRY_CODE": "io",
            "COUNTRY_INT_DIAL_CODE": "246"
        },
        {
            "COUNTRY_ID": "BritishVirginIslands",
            "COUNTRY_NAME": "British Virgin Islands",
            "COUNTRY_CODE": "vg",
            "COUNTRY_INT_DIAL_CODE": "1284"
        },
        {
            "COUNTRY_ID": "Brunei",
            "COUNTRY_NAME": "Brunei",
            "COUNTRY_CODE": "bn",
            "COUNTRY_INT_DIAL_CODE": "673"
        },
        {
            "COUNTRY_ID": "Bulgaria",
            "COUNTRY_NAME": "Bulgaria",
            "COUNTRY_CODE": "bg",
            "COUNTRY_INT_DIAL_CODE": "359"
        },
        {
            "COUNTRY_ID": "BurkinaFaso",
            "COUNTRY_NAME": "Burkina Faso",
            "COUNTRY_CODE": "bf",
            "COUNTRY_INT_DIAL_CODE": "226"
        },
        {
            "COUNTRY_ID": "Burma",
            "COUNTRY_NAME": "Burma-Myanmar",
            "COUNTRY_CODE": "mm",
            "COUNTRY_INT_DIAL_CODE": "95"
        },
        {
            "COUNTRY_ID": "Burundi",
            "COUNTRY_NAME": "Burundi",
            "COUNTRY_CODE": "bi",
            "COUNTRY_INT_DIAL_CODE": "257"
        },
        {
            "COUNTRY_ID": "Cambodja",
            "COUNTRY_NAME": "Cambodia",
            "COUNTRY_CODE": "kh",
            "COUNTRY_INT_DIAL_CODE": "855"
        },
        {
            "COUNTRY_ID": "Cameroon",
            "COUNTRY_NAME": "Cameroon",
            "COUNTRY_CODE": "cm",
            "COUNTRY_INT_DIAL_CODE": "237"
        },
        {
            "COUNTRY_ID": "Canada",
            "COUNTRY_NAME": "Canada",
            "COUNTRY_CODE": "ca",
            "COUNTRY_INT_DIAL_CODE": "1"
        },
        {
            "COUNTRY_ID": "CapeVerde",
            "COUNTRY_NAME": "Cape Verde",
            "COUNTRY_CODE": "cv",
            "COUNTRY_INT_DIAL_CODE": "238"
        },
        {
            "COUNTRY_ID": "CaymanIslands",
            "COUNTRY_NAME": "Cayman Islands",
            "COUNTRY_CODE": "ky",
            "COUNTRY_INT_DIAL_CODE": "1345"
        },
        {
            "COUNTRY_ID": "CentralAfricanRepublic",
            "COUNTRY_NAME": "Central African Republic",
            "COUNTRY_CODE": "cf",
            "COUNTRY_INT_DIAL_CODE": "236"
        },
        {
            "COUNTRY_ID": "Chad",
            "COUNTRY_NAME": "Chad",
            "COUNTRY_CODE": "td",
            "COUNTRY_INT_DIAL_CODE": "235"
        },
        {
            "COUNTRY_ID": "Chile",
            "COUNTRY_NAME": "Chile",
            "COUNTRY_CODE": "cl",
            "COUNTRY_INT_DIAL_CODE": "56"
        },
        {
            "COUNTRY_ID": "China",
            "COUNTRY_NAME": "China",
            "COUNTRY_CODE": "COUNTRY_NAME",
            "COUNTRY_INT_DIAL_CODE": "86"
        },
        {
            "COUNTRY_ID": "ChristmasIsland",
            "COUNTRY_NAME": "Christmas Island",
            "COUNTRY_CODE": "cx",
            "COUNTRY_INT_DIAL_CODE": "6189"
        },
        {
            "COUNTRY_ID": "Colombia",
            "COUNTRY_NAME": "Colombia",
            "COUNTRY_CODE": "co",
            "COUNTRY_INT_DIAL_CODE": "57"
        },
        {
            "COUNTRY_ID": "Comoros",
            "COUNTRY_NAME": "Comoros",
            "COUNTRY_CODE": "km",
            "COUNTRY_INT_DIAL_CODE": "269"
        },
        {
            "COUNTRY_ID": "Congo",
            "COUNTRY_NAME": "Congo",
            "COUNTRY_CODE": "cg",
            "COUNTRY_INT_DIAL_CODE": "242"
        },
        {
            "COUNTRY_ID": "CongoDemocratic",
            "COUNTRY_NAME": "Congo, The Democratic Republic",
            "COUNTRY_CODE": "cd",
            "COUNTRY_INT_DIAL_CODE": "243"
        },
        {
            "COUNTRY_ID": "CookIslands",
            "COUNTRY_NAME": "Cook Islands",
            "COUNTRY_CODE": "ck",
            "COUNTRY_INT_DIAL_CODE": "682"
        },
        {
            "COUNTRY_ID": "CostaRica",
            "COUNTRY_NAME": "Costa Rica",
            "COUNTRY_CODE": "cr",
            "COUNTRY_INT_DIAL_CODE": "506"
        },
        {
            "COUNTRY_ID": "Croatia",
            "COUNTRY_NAME": "Croatia",
            "COUNTRY_CODE": "hr",
            "COUNTRY_INT_DIAL_CODE": "385"
        },
        {
            "COUNTRY_ID": "Cuba",
            "COUNTRY_NAME": "Cuba",
            "COUNTRY_CODE": "cu",
            "COUNTRY_INT_DIAL_CODE": "53"
        },
        {
            "COUNTRY_ID": "Cyprus",
            "COUNTRY_NAME": "Cyprus",
            "COUNTRY_CODE": "cy",
            "COUNTRY_INT_DIAL_CODE": "357"
        },
        {
            "COUNTRY_ID": "CzechRepublic",
            "COUNTRY_NAME": "Czech Republic",
            "COUNTRY_CODE": "cz",
            "COUNTRY_INT_DIAL_CODE": "420"
        },
        {
            "COUNTRY_ID": "Denmark",
            "COUNTRY_NAME": "Denmark",
            "COUNTRY_CODE": "dk",
            "COUNTRY_INT_DIAL_CODE": "45"
        },
        {
            "COUNTRY_ID": "Djibouti",
            "COUNTRY_NAME": "Djibouti",
            "COUNTRY_CODE": "dj",
            "COUNTRY_INT_DIAL_CODE": "253"
        },
        {
            "COUNTRY_ID": "Dominica",
            "COUNTRY_NAME": "Dominica",
            "COUNTRY_CODE": "dm",
            "COUNTRY_INT_DIAL_CODE": "1767"
        },
        {
            "COUNTRY_ID": "DominicanRepublic",
            "COUNTRY_NAME": "Dominican Republic",
            "COUNTRY_CODE": "do",
            "COUNTRY_INT_DIAL_CODE": "1849"
        },
        {
            "COUNTRY_ID": "DominicanRepublic",
            "COUNTRY_NAME": "Dominican Republic",
            "COUNTRY_CODE": "do",
            "COUNTRY_INT_DIAL_CODE": "1829"
        },
        {
            "COUNTRY_ID": "DominicanRepublic",
            "COUNTRY_NAME": "Dominican Republic",
            "COUNTRY_CODE": "do",
            "COUNTRY_INT_DIAL_CODE": "1809"
        },
        {
            "COUNTRY_ID": "EastTimor",
            "COUNTRY_NAME": "East Timor",
            "COUNTRY_CODE": "tl",
            "COUNTRY_INT_DIAL_CODE": "670"
        },
        {
            "COUNTRY_ID": "Ecuador",
            "COUNTRY_NAME": "Ecuador",
            "COUNTRY_CODE": "ec",
            "COUNTRY_INT_DIAL_CODE": "593"
        },
        {
            "COUNTRY_ID": "Egypt",
            "COUNTRY_NAME": "Egypt",
            "COUNTRY_CODE": "eg",
            "COUNTRY_INT_DIAL_CODE": "20"
        },
        {
            "COUNTRY_ID": "ElSalvador",
            "COUNTRY_NAME": "El Salvador",
            "COUNTRY_CODE": "sv",
            "COUNTRY_INT_DIAL_CODE": "503"
        },
        {
            "COUNTRY_ID": "EquatorialGuinea",
            "COUNTRY_NAME": "Equatorial Guinea",
            "COUNTRY_CODE": "gq",
            "COUNTRY_INT_DIAL_CODE": "240"
        },
        {
            "COUNTRY_ID": "Eritrea",
            "COUNTRY_NAME": "Eritrea",
            "COUNTRY_CODE": "er",
            "COUNTRY_INT_DIAL_CODE": "291"
        },
        {
            "COUNTRY_ID": "Estonia",
            "COUNTRY_NAME": "Estonia",
            "COUNTRY_CODE": "ee",
            "COUNTRY_INT_DIAL_CODE": "372"
        },
        {
            "COUNTRY_ID": "Ethiopia",
            "COUNTRY_NAME": "Ethiopia",
            "COUNTRY_CODE": "et",
            "COUNTRY_INT_DIAL_CODE": "251"
        },
        {
            "COUNTRY_ID": "FaroeIslands",
            "COUNTRY_NAME": "Faroe Islands",
            "COUNTRY_CODE": "fo",
            "COUNTRY_INT_DIAL_CODE": "298"
        },
        {
            "COUNTRY_ID": "Fiji",
            "COUNTRY_NAME": "Fiji",
            "COUNTRY_CODE": "fj",
            "COUNTRY_INT_DIAL_CODE": "679"
        },
        {
            "COUNTRY_ID": "Finland",
            "COUNTRY_NAME": "Finland",
            "COUNTRY_CODE": "fi",
            "COUNTRY_INT_DIAL_CODE": "358"
        },
        {
            "COUNTRY_ID": "France",
            "COUNTRY_NAME": "France",
            "COUNTRY_CODE": "fr",
            "COUNTRY_INT_DIAL_CODE": "33"
        },
        {
            "COUNTRY_ID": "FrenchGuiana",
            "COUNTRY_NAME": "French Guiana",
            "COUNTRY_CODE": "gf",
            "COUNTRY_INT_DIAL_CODE": "594"
        },
        {
            "COUNTRY_ID": "FrenchPolynesia",
            "COUNTRY_NAME": "French Polynesia",
            "COUNTRY_CODE": "pf",
            "COUNTRY_INT_DIAL_CODE": "689"
        },
        {
            "COUNTRY_ID": "Gabon",
            "COUNTRY_NAME": "Gabon",
            "COUNTRY_CODE": "ga",
            "COUNTRY_INT_DIAL_CODE": "241"
        },
        {
            "COUNTRY_ID": "Gambia",
            "COUNTRY_NAME": "Gambia",
            "COUNTRY_CODE": "gm",
            "COUNTRY_INT_DIAL_CODE": "220"
        },
        {
            "COUNTRY_ID": "Georgia",
            "COUNTRY_NAME": "Georgia",
            "COUNTRY_CODE": "ge",
            "COUNTRY_INT_DIAL_CODE": "995"
        },
        {
            "COUNTRY_ID": "Germany",
            "COUNTRY_NAME": "Germany",
            "COUNTRY_CODE": "de",
            "COUNTRY_INT_DIAL_CODE": "49"
        },
        {
            "COUNTRY_ID": "Ghana",
            "COUNTRY_NAME": "Ghana",
            "COUNTRY_CODE": "gh",
            "COUNTRY_INT_DIAL_CODE": "233"
        },
        {
            "COUNTRY_ID": "Gibraltar",
            "COUNTRY_NAME": "Gibraltar",
            "COUNTRY_CODE": "gi",
            "COUNTRY_INT_DIAL_CODE": "350"
        },
        {
            "COUNTRY_ID": "Greece",
            "COUNTRY_NAME": "Greece",
            "COUNTRY_CODE": "gr",
            "COUNTRY_INT_DIAL_CODE": "30"
        },
        {
            "COUNTRY_ID": "Greenland",
            "COUNTRY_NAME": "Greenland",
            "COUNTRY_CODE": "gl",
            "COUNTRY_INT_DIAL_CODE": "299"
        },
        {
            "COUNTRY_ID": "Grenada",
            "COUNTRY_NAME": "Grenada",
            "COUNTRY_CODE": "gd",
            "COUNTRY_INT_DIAL_CODE": "1473"
        },
        {
            "COUNTRY_ID": "Guadeloupe",
            "COUNTRY_NAME": "Guadeloupe",
            "COUNTRY_CODE": "gp",
            "COUNTRY_INT_DIAL_CODE": "590"
        },
        {
            "COUNTRY_ID": "Guam",
            "COUNTRY_NAME": "Guam",
            "COUNTRY_CODE": "gu",
            "COUNTRY_INT_DIAL_CODE": "1671"
        },
        {
            "COUNTRY_ID": "Guatemala",
            "COUNTRY_NAME": "Guatemala",
            "COUNTRY_CODE": "gt",
            "COUNTRY_INT_DIAL_CODE": "502"
        },
        {
            "COUNTRY_ID": "Guinea",
            "COUNTRY_NAME": "Guinea",
            "COUNTRY_CODE": "gn",
            "COUNTRY_INT_DIAL_CODE": "224"
        },
        {
            "COUNTRY_ID": "Guinea-Bissau",
            "COUNTRY_NAME": "Guinea-Bissau",
            "COUNTRY_CODE": "gw",
            "COUNTRY_INT_DIAL_CODE": "245"
        },
        {
            "COUNTRY_ID": "Guyana",
            "COUNTRY_NAME": "Guyana",
            "COUNTRY_CODE": "gy",
            "COUNTRY_INT_DIAL_CODE": "592"
        },
        {
            "COUNTRY_ID": "Haiti",
            "COUNTRY_NAME": "Haiti",
            "COUNTRY_CODE": "ht",
            "COUNTRY_INT_DIAL_CODE": "509"
        },
        {
            "COUNTRY_ID": "Honduras",
            "COUNTRY_NAME": "Honduras",
            "COUNTRY_CODE": "hn",
            "COUNTRY_INT_DIAL_CODE": "504"
        },
        {
            "COUNTRY_ID": "HongKong",
            "COUNTRY_NAME": "Hong Kong",
            "COUNTRY_CODE": "hk",
            "COUNTRY_INT_DIAL_CODE": "852"
        },
        {
            "COUNTRY_ID": "Hungary",
            "COUNTRY_NAME": "Hungary",
            "COUNTRY_CODE": "hu",
            "COUNTRY_INT_DIAL_CODE": "36"
        },
        {
            "COUNTRY_ID": "Iceland",
            "COUNTRY_NAME": "Iceland",
            "COUNTRY_CODE": "is",
            "COUNTRY_INT_DIAL_CODE": "354"
        },
        {
            "COUNTRY_ID": "India-Other",
            "COUNTRY_NAME": "India",
            "COUNTRY_CODE": "in",
            "COUNTRY_INT_DIAL_CODE": "91"
        },
        {
            "COUNTRY_ID": "Indonesia",
            "COUNTRY_NAME": "Indonesia",
            "COUNTRY_CODE": "id",
            "COUNTRY_INT_DIAL_CODE": "62"
        },
        {
            "COUNTRY_ID": "Iran",
            "COUNTRY_NAME": "Iran",
            "COUNTRY_CODE": "ir",
            "COUNTRY_INT_DIAL_CODE": "98"
        },
        {
            "COUNTRY_ID": "Iraq",
            "COUNTRY_NAME": "Iraq",
            "COUNTRY_CODE": "iq",
            "COUNTRY_INT_DIAL_CODE": "964"
        },
        {
            "COUNTRY_ID": "Ireland",
            "COUNTRY_NAME": "Ireland",
            "COUNTRY_CODE": "ie",
            "COUNTRY_INT_DIAL_CODE": "353"
        },
        {
            "COUNTRY_ID": "Israel",
            "COUNTRY_NAME": "Israel",
            "COUNTRY_CODE": "il",
            "COUNTRY_INT_DIAL_CODE": "972"
        },
        {
            "COUNTRY_ID": "Italy",
            "COUNTRY_NAME": "Italy",
            "COUNTRY_CODE": "it",
            "COUNTRY_INT_DIAL_CODE": "39"
        },
        {
            "COUNTRY_ID": "IvoryCoast",
            "COUNTRY_NAME": "Ivory Coast",
            "COUNTRY_CODE": "ci",
            "COUNTRY_INT_DIAL_CODE": "225"
        },
        {
            "COUNTRY_ID": "Jamaica",
            "COUNTRY_NAME": "Jamaica",
            "COUNTRY_CODE": "jm",
            "COUNTRY_INT_DIAL_CODE": "1876"
        },
        {
            "COUNTRY_ID": "Japan",
            "COUNTRY_NAME": "Japan",
            "COUNTRY_CODE": "jp",
            "COUNTRY_INT_DIAL_CODE": "81"
        },
        {
            "COUNTRY_ID": "Jordan",
            "COUNTRY_NAME": "Jordan",
            "COUNTRY_CODE": "jo",
            "COUNTRY_INT_DIAL_CODE": "962"
        },
        {
            "COUNTRY_ID": "Kazakhstan",
            "COUNTRY_NAME": "Kazakhstan",
            "COUNTRY_CODE": "kz",
            "COUNTRY_INT_DIAL_CODE": "7"
        },
        {
            "COUNTRY_ID": "Kenya",
            "COUNTRY_NAME": "Kenya",
            "COUNTRY_CODE": "ke",
            "COUNTRY_INT_DIAL_CODE": "254"
        },
        {
            "COUNTRY_ID": "Kiribati",
            "COUNTRY_NAME": "Kiribati",
            "COUNTRY_CODE": "ki",
            "COUNTRY_INT_DIAL_CODE": "686"
        },
        {
            "COUNTRY_ID": "Kuwait",
            "COUNTRY_NAME": "Kuwait",
            "COUNTRY_CODE": "kw",
            "COUNTRY_INT_DIAL_CODE": "965"
        },
        {
            "COUNTRY_ID": "Kyrgyzstan",
            "COUNTRY_NAME": "Kyrgyzstan",
            "COUNTRY_CODE": "kg",
            "COUNTRY_INT_DIAL_CODE": "996"
        },
        {
            "COUNTRY_ID": "Laos",
            "COUNTRY_NAME": "Laos",
            "COUNTRY_CODE": "la",
            "COUNTRY_INT_DIAL_CODE": "856"
        },
        {
            "COUNTRY_ID": "Latvia",
            "COUNTRY_NAME": "Latvia",
            "COUNTRY_CODE": "lv",
            "COUNTRY_INT_DIAL_CODE": "371"
        },
        {
            "COUNTRY_ID": "Lebanon",
            "COUNTRY_NAME": "Lebanon",
            "COUNTRY_CODE": "lb",
            "COUNTRY_INT_DIAL_CODE": "961"
        },
        {
            "COUNTRY_ID": "Lesotho",
            "COUNTRY_NAME": "Lesotho",
            "COUNTRY_CODE": "ls",
            "COUNTRY_INT_DIAL_CODE": "266"
        },
        {
            "COUNTRY_ID": "Liberia",
            "COUNTRY_NAME": "Liberia",
            "COUNTRY_CODE": "lr",
            "COUNTRY_INT_DIAL_CODE": "231"
        },
        {
            "COUNTRY_ID": "Libya",
            "COUNTRY_NAME": "Libya",
            "COUNTRY_CODE": "ly",
            "COUNTRY_INT_DIAL_CODE": "218"
        },
        {
            "COUNTRY_ID": "Liechtenstein",
            "COUNTRY_NAME": "Liechtenstein",
            "COUNTRY_CODE": "li",
            "COUNTRY_INT_DIAL_CODE": "423"
        },
        {
            "COUNTRY_ID": "Lithuania",
            "COUNTRY_NAME": "Lithuania",
            "COUNTRY_CODE": "lt",
            "COUNTRY_INT_DIAL_CODE": "370"
        },
        {
            "COUNTRY_ID": "Luxembourg",
            "COUNTRY_NAME": "Luxembourg",
            "COUNTRY_CODE": "lu",
            "COUNTRY_INT_DIAL_CODE": "352"
        },
        {
            "COUNTRY_ID": "Macau",
            "COUNTRY_NAME": "Macau",
            "COUNTRY_CODE": "mo",
            "COUNTRY_INT_DIAL_CODE": "853"
        },
        {
            "COUNTRY_ID": "Macedonia",
            "COUNTRY_NAME": "Macedonia",
            "COUNTRY_CODE": "mk",
            "COUNTRY_INT_DIAL_CODE": "389"
        },
        {
            "COUNTRY_ID": "Madagascar",
            "COUNTRY_NAME": "Madagascar",
            "COUNTRY_CODE": "mg",
            "COUNTRY_INT_DIAL_CODE": "261"
        },
        {
            "COUNTRY_ID": "Malawi",
            "COUNTRY_NAME": "Malawi",
            "COUNTRY_CODE": "mw",
            "COUNTRY_INT_DIAL_CODE": "265"
        },
        {
            "COUNTRY_ID": "Malaysia",
            "COUNTRY_NAME": "Malaysia",
            "COUNTRY_CODE": "my",
            "COUNTRY_INT_DIAL_CODE": "60"
        },
        {
            "COUNTRY_ID": "Maldives",
            "COUNTRY_NAME": "Maldives",
            "COUNTRY_CODE": "mv",
            "COUNTRY_INT_DIAL_CODE": "960"
        },
        {
            "COUNTRY_ID": "Mali",
            "COUNTRY_NAME": "Mali",
            "COUNTRY_CODE": "ml",
            "COUNTRY_INT_DIAL_CODE": "223"
        },
        {
            "COUNTRY_ID": "Malta",
            "COUNTRY_NAME": "Malta",
            "COUNTRY_CODE": "mt",
            "COUNTRY_INT_DIAL_CODE": "356"
        },
        {
            "COUNTRY_ID": "MarshallIslands",
            "COUNTRY_NAME": "Marshall Islands",
            "COUNTRY_CODE": "mh",
            "COUNTRY_INT_DIAL_CODE": "692"
        },
        {
            "COUNTRY_ID": "Martinique",
            "COUNTRY_NAME": "Martinique",
            "COUNTRY_CODE": "mq",
            "COUNTRY_INT_DIAL_CODE": "596"
        },
        {
            "COUNTRY_ID": "Mauritania",
            "COUNTRY_NAME": "Mauritania",
            "COUNTRY_CODE": "mr",
            "COUNTRY_INT_DIAL_CODE": "222"
        },
        {
            "COUNTRY_ID": "Mauritius",
            "COUNTRY_NAME": "Mauritius",
            "COUNTRY_CODE": "mu",
            "COUNTRY_INT_DIAL_CODE": "230"
        },
        {
            "COUNTRY_ID": "Mayotte",
            "COUNTRY_NAME": "Mayotte",
            "COUNTRY_CODE": "yt",
            "COUNTRY_INT_DIAL_CODE": "262"
        },
        {
            "COUNTRY_ID": "Mexico",
            "COUNTRY_NAME": "Mexico",
            "COUNTRY_CODE": "mx",
            "COUNTRY_INT_DIAL_CODE": "52"
        },
        {
            "COUNTRY_ID": "Moldova",
            "COUNTRY_NAME": "Moldova",
            "COUNTRY_CODE": "md",
            "COUNTRY_INT_DIAL_CODE": "373"
        },
        {
            "COUNTRY_ID": "Monaco",
            "COUNTRY_NAME": "Monaco",
            "COUNTRY_CODE": "mc",
            "COUNTRY_INT_DIAL_CODE": "377"
        },
        {
            "COUNTRY_ID": "Mongolia",
            "COUNTRY_NAME": "Mongolia",
            "COUNTRY_CODE": "mn",
            "COUNTRY_INT_DIAL_CODE": "976"
        },
        {
            "COUNTRY_ID": "Montenegro",
            "COUNTRY_NAME": "Montenegro",
            "COUNTRY_CODE": "me",
            "COUNTRY_INT_DIAL_CODE": "382"
        },
        {
            "COUNTRY_ID": "Montserrat",
            "COUNTRY_NAME": "Montserrat",
            "COUNTRY_CODE": "ms",
            "COUNTRY_INT_DIAL_CODE": "1664"
        },
        {
            "COUNTRY_ID": "Morocco",
            "COUNTRY_NAME": "Morocco",
            "COUNTRY_CODE": "ma",
            "COUNTRY_INT_DIAL_CODE": "212"
        },
        {
            "COUNTRY_ID": "Mozambique",
            "COUNTRY_NAME": "Mozambique",
            "COUNTRY_CODE": "mz",
            "COUNTRY_INT_DIAL_CODE": "258"
        },
        {
            "COUNTRY_ID": "Namibia",
            "COUNTRY_NAME": "Namibia",
            "COUNTRY_CODE": "na",
            "COUNTRY_INT_DIAL_CODE": "264"
        },
        {
            "COUNTRY_ID": "Nauru",
            "COUNTRY_NAME": "Nauru",
            "COUNTRY_CODE": "nr",
            "COUNTRY_INT_DIAL_CODE": "674"
        },
        {
            "COUNTRY_ID": "Nepal",
            "COUNTRY_NAME": "Nepal",
            "COUNTRY_CODE": "np",
            "COUNTRY_INT_DIAL_CODE": "977"
        },
        {
            "COUNTRY_ID": "Netherlands",
            "COUNTRY_NAME": "Netherlands",
            "COUNTRY_CODE": "nl",
            "COUNTRY_INT_DIAL_CODE": "31"
        },
        {
            "COUNTRY_ID": "NetherlandsAntilles",
            "COUNTRY_NAME": "Curacao",
            "COUNTRY_CODE": "cw",
            "COUNTRY_INT_DIAL_CODE": "599"
        },
        {
            "COUNTRY_ID": "NewCaledonia",
            "COUNTRY_NAME": "New Caledonia",
            "COUNTRY_CODE": "nc",
            "COUNTRY_INT_DIAL_CODE": "687"
        },
        {
            "COUNTRY_ID": "NewZealand",
            "COUNTRY_NAME": "New Zealand",
            "COUNTRY_CODE": "nz",
            "COUNTRY_INT_DIAL_CODE": "64"
        },
        {
            "COUNTRY_ID": "Nicaragua",
            "COUNTRY_NAME": "Nicaragua",
            "COUNTRY_CODE": "ni",
            "COUNTRY_INT_DIAL_CODE": "505"
        },
        {
            "COUNTRY_ID": "Niger",
            "COUNTRY_NAME": "Niger",
            "COUNTRY_CODE": "ne",
            "COUNTRY_INT_DIAL_CODE": "227"
        },
        {
            "COUNTRY_ID": "Nigeria",
            "COUNTRY_NAME": "Nigeria",
            "COUNTRY_CODE": "ng",
            "COUNTRY_INT_DIAL_CODE": "234"
        },
        {
            "COUNTRY_ID": "Niue",
            "COUNTRY_NAME": "Niue",
            "COUNTRY_CODE": "nu",
            "COUNTRY_INT_DIAL_CODE": "683"
        },
        {
            "COUNTRY_ID": "NorfolkIsland",
            "COUNTRY_NAME": "Norfolk Island",
            "COUNTRY_CODE": "nf",
            "COUNTRY_INT_DIAL_CODE": "672"
        },
        {
            "COUNTRY_ID": "NorthernMarianaIslands",
            "COUNTRY_NAME": "Northern Mariana Islands",
            "COUNTRY_CODE": "mp",
            "COUNTRY_INT_DIAL_CODE": "1670"
        },
        {
            "COUNTRY_ID": "NorthKorea",
            "COUNTRY_NAME": "North Korea",
            "COUNTRY_CODE": "kp",
            "COUNTRY_INT_DIAL_CODE": "850"
        },
        {
            "COUNTRY_ID": "Norway",
            "COUNTRY_NAME": "Norway",
            "COUNTRY_CODE": "no",
            "COUNTRY_INT_DIAL_CODE": "47"
        },
        {
            "COUNTRY_ID": "Oman",
            "COUNTRY_NAME": "Oman",
            "COUNTRY_CODE": "om",
            "COUNTRY_INT_DIAL_CODE": "968"
        },
        {
            "COUNTRY_ID": "Pakistan",
            "COUNTRY_NAME": "Pakistan",
            "COUNTRY_CODE": "pk",
            "COUNTRY_INT_DIAL_CODE": "92"
        },
        {
            "COUNTRY_ID": "Palau",
            "COUNTRY_NAME": "Palau",
            "COUNTRY_CODE": "pw",
            "COUNTRY_INT_DIAL_CODE": "680"
        },
        {
            "COUNTRY_ID": "Palestine",
            "COUNTRY_NAME": "Palestine",
            "COUNTRY_CODE": "ps",
            "COUNTRY_INT_DIAL_CODE": "970"
        },
        {
            "COUNTRY_ID": "Panama",
            "COUNTRY_NAME": "Panama",
            "COUNTRY_CODE": "pa",
            "COUNTRY_INT_DIAL_CODE": "507"
        },
        {
            "COUNTRY_ID": "PapuaNewGuinea",
            "COUNTRY_NAME": "Papua New Guinea",
            "COUNTRY_CODE": "pg",
            "COUNTRY_INT_DIAL_CODE": "675"
        },
        {
            "COUNTRY_ID": "Paraguay",
            "COUNTRY_NAME": "Paraguay",
            "COUNTRY_CODE": "py",
            "COUNTRY_INT_DIAL_CODE": "595"
        },
        {
            "COUNTRY_ID": "Peru",
            "COUNTRY_NAME": "Peru",
            "COUNTRY_CODE": "pe",
            "COUNTRY_INT_DIAL_CODE": "51"
        },
        {
            "COUNTRY_ID": "Philippines",
            "COUNTRY_NAME": "Philippines",
            "COUNTRY_CODE": "ph",
            "COUNTRY_INT_DIAL_CODE": "63"
        },
        {
            "COUNTRY_ID": "PitcairnIslands",
            "COUNTRY_NAME": "Pitcairn Islands",
            "COUNTRY_CODE": "pn",
            "COUNTRY_INT_DIAL_CODE": "870"
        },
        {
            "COUNTRY_ID": "Poland",
            "COUNTRY_NAME": "Poland",
            "COUNTRY_CODE": "pl",
            "COUNTRY_INT_DIAL_CODE": "48"
        },
        {
            "COUNTRY_ID": "Portugal",
            "COUNTRY_NAME": "Portugal",
            "COUNTRY_CODE": "pt",
            "COUNTRY_INT_DIAL_CODE": "351"
        },
        {
            "COUNTRY_ID": "PuertoRico",
            "COUNTRY_NAME": "Puerto Rico",
            "COUNTRY_CODE": "pr",
            "COUNTRY_INT_DIAL_CODE": "1787"
        },
        {
            "COUNTRY_ID": "Qatar",
            "COUNTRY_NAME": "Qatar",
            "COUNTRY_CODE": "qa",
            "COUNTRY_INT_DIAL_CODE": "974"
        },
        {
            "COUNTRY_ID": "Reunion",
            "COUNTRY_NAME": "Reunion",
            "COUNTRY_CODE": "re",
            "COUNTRY_INT_DIAL_CODE": "262"
        },
        {
            "COUNTRY_ID": "Romania",
            "COUNTRY_NAME": "Romania",
            "COUNTRY_CODE": "ro",
            "COUNTRY_INT_DIAL_CODE": "40"
        },
        {
            "COUNTRY_ID": "Russia",
            "COUNTRY_NAME": "Russia",
            "COUNTRY_CODE": "ru",
            "COUNTRY_INT_DIAL_CODE": "7"
        },
        {
            "COUNTRY_ID": "Rwanda",
            "COUNTRY_NAME": "Rwanda",
            "COUNTRY_CODE": "rw",
            "COUNTRY_INT_DIAL_CODE": "250"
        },
        {
            "COUNTRY_ID": "SaintHelena",
            "COUNTRY_NAME": "Saint Helena",
            "COUNTRY_CODE": "sh",
            "COUNTRY_INT_DIAL_CODE": "290"
        },
        {
            "COUNTRY_ID": "SaintKittsandNevis",
            "COUNTRY_NAME": "Saint Kitts and Nevis",
            "COUNTRY_CODE": "kn",
            "COUNTRY_INT_DIAL_CODE": "1869"
        },
        {
            "COUNTRY_ID": "SaintLucia",
            "COUNTRY_NAME": "Saint Lucia",
            "COUNTRY_CODE": "lc",
            "COUNTRY_INT_DIAL_CODE": "1758"
        },
        {
            "COUNTRY_ID": "SaintMartin",
            "COUNTRY_NAME": "Saint Martin",
            "COUNTRY_CODE": "mf",
            "COUNTRY_INT_DIAL_CODE": "1599"
        },
        {
            "COUNTRY_ID": "SaintPierreandMiquelon",
            "COUNTRY_NAME": "Saint Pierre and Miquelon",
            "COUNTRY_CODE": "pm",
            "COUNTRY_INT_DIAL_CODE": "508"
        },
        {
            "COUNTRY_ID": "SaintVincentandtheGrenadines",
            "COUNTRY_NAME": "Saint Vincent and the Grenadines",
            "COUNTRY_CODE": "vc",
            "COUNTRY_INT_DIAL_CODE": "1784"
        },
        {
            "COUNTRY_ID": "Samoa",
            "COUNTRY_NAME": "Samoa",
            "COUNTRY_CODE": "ws",
            "COUNTRY_INT_DIAL_CODE": "685"
        },
        {
            "COUNTRY_ID": "SanMarino",
            "COUNTRY_NAME": "San Marino",
            "COUNTRY_CODE": "sm",
            "COUNTRY_INT_DIAL_CODE": "378"
        },
        {
            "COUNTRY_ID": "SaoTomeAndPrincipe",
            "COUNTRY_NAME": "Sao Tome and Principe",
            "COUNTRY_CODE": "st",
            "COUNTRY_INT_DIAL_CODE": "239"
        },
        {
            "COUNTRY_ID": "SaudiArabia",
            "COUNTRY_NAME": "Saudi Arabia",
            "COUNTRY_CODE": "sa",
            "COUNTRY_INT_DIAL_CODE": "966"
        },
        {
            "COUNTRY_ID": "Senegal",
            "COUNTRY_NAME": "Senegal",
            "COUNTRY_CODE": "sn",
            "COUNTRY_INT_DIAL_CODE": "221"
        },
        {
            "COUNTRY_ID": "Serbia",
            "COUNTRY_NAME": "Serbia",
            "COUNTRY_CODE": "rs",
            "COUNTRY_INT_DIAL_CODE": "381"
        },
        {
            "COUNTRY_ID": "Seychelles",
            "COUNTRY_NAME": "Seychelles",
            "COUNTRY_CODE": "sc",
            "COUNTRY_INT_DIAL_CODE": "248"
        },
        {
            "COUNTRY_ID": "SGeorgiaSouthSandwichIslands",
            "COUNTRY_NAME": "Falkland Islands",
            "COUNTRY_CODE": "fk",
            "COUNTRY_INT_DIAL_CODE": "500"
        },
        {
            "COUNTRY_ID": "SierraLeone",
            "COUNTRY_NAME": "Sierra Leone",
            "COUNTRY_CODE": "sl",
            "COUNTRY_INT_DIAL_CODE": "232"
        },
        {
            "COUNTRY_ID": "Singapore",
            "COUNTRY_NAME": "Singapore",
            "COUNTRY_CODE": "sg",
            "COUNTRY_INT_DIAL_CODE": "65"
        },
        {
            "COUNTRY_ID": "Slovakia",
            "COUNTRY_NAME": "Slovakia",
            "COUNTRY_CODE": "sk",
            "COUNTRY_INT_DIAL_CODE": "421"
        },
        {
            "COUNTRY_ID": "Slovenia",
            "COUNTRY_NAME": "Slovenia",
            "COUNTRY_CODE": "si",
            "COUNTRY_INT_DIAL_CODE": "386"
        },
        {
            "COUNTRY_ID": "SolomonIslands",
            "COUNTRY_NAME": "Solomon Islands",
            "COUNTRY_CODE": "sb",
            "COUNTRY_INT_DIAL_CODE": "677"
        },
        {
            "COUNTRY_ID": "Somalia",
            "COUNTRY_NAME": "Somalia",
            "COUNTRY_CODE": "so",
            "COUNTRY_INT_DIAL_CODE": "252"
        },
        {
            "COUNTRY_ID": "SouthAfrica",
            "COUNTRY_NAME": "South Africa",
            "COUNTRY_CODE": "za",
            "COUNTRY_INT_DIAL_CODE": "27"
        },
        {
            "COUNTRY_ID": "SouthKorea",
            "COUNTRY_NAME": "South Korea",
            "COUNTRY_CODE": "kr",
            "COUNTRY_INT_DIAL_CODE": "82"
        },
        {
            "COUNTRY_ID": "SouthSudan",
            "COUNTRY_NAME": "South Sudan",
            "COUNTRY_CODE": "ss",
            "COUNTRY_INT_DIAL_CODE": "211"
        },
        {
            "COUNTRY_ID": "Spain",
            "COUNTRY_NAME": "Spain",
            "COUNTRY_CODE": "es",
            "COUNTRY_INT_DIAL_CODE": "34"
        },
        {
            "COUNTRY_ID": "SriLanka",
            "COUNTRY_NAME": "Sri Lanka",
            "COUNTRY_CODE": "lk",
            "COUNTRY_INT_DIAL_CODE": "94"
        },
        {
            "COUNTRY_ID": "Sudan",
            "COUNTRY_NAME": "Sudan",
            "COUNTRY_CODE": "sd",
            "COUNTRY_INT_DIAL_CODE": "249"
        },
        {
            "COUNTRY_ID": "Suriname",
            "COUNTRY_NAME": "Suriname",
            "COUNTRY_CODE": "sr",
            "COUNTRY_INT_DIAL_CODE": "597"
        },
        {
            "COUNTRY_ID": "Swaziland",
            "COUNTRY_NAME": "Swaziland",
            "COUNTRY_CODE": "sz",
            "COUNTRY_INT_DIAL_CODE": "268"
        },
        {
            "COUNTRY_ID": "Sweden",
            "COUNTRY_NAME": "Sweden",
            "COUNTRY_CODE": "se",
            "COUNTRY_INT_DIAL_CODE": "46"
        },
        {
            "COUNTRY_ID": "Switzerland",
            "COUNTRY_NAME": "Switzerland",
            "COUNTRY_CODE": "ch",
            "COUNTRY_INT_DIAL_CODE": "41"
        },
        {
            "COUNTRY_ID": "Syria",
            "COUNTRY_NAME": "Syria",
            "COUNTRY_CODE": "sy",
            "COUNTRY_INT_DIAL_CODE": "963"
        },
        {
            "COUNTRY_ID": "Taiwan",
            "COUNTRY_NAME": "Taiwan",
            "COUNTRY_CODE": "tw",
            "COUNTRY_INT_DIAL_CODE": "886"
        },
        {
            "COUNTRY_ID": "Tajikistan",
            "COUNTRY_NAME": "Tajikistan",
            "COUNTRY_CODE": "tj",
            "COUNTRY_INT_DIAL_CODE": "992"
        },
        {
            "COUNTRY_ID": "Tanzania",
            "COUNTRY_NAME": "Tanzania",
            "COUNTRY_CODE": "tz",
            "COUNTRY_INT_DIAL_CODE": "255"
        },
        {
            "COUNTRY_ID": "Thailand",
            "COUNTRY_NAME": "Thailand",
            "COUNTRY_CODE": "th",
            "COUNTRY_INT_DIAL_CODE": "66"
        },
        {
            "COUNTRY_ID": "Togo",
            "COUNTRY_NAME": "Togo",
            "COUNTRY_CODE": "tg",
            "COUNTRY_INT_DIAL_CODE": "228"
        },
        {
            "COUNTRY_ID": "Tokelau",
            "COUNTRY_NAME": "Tokelau",
            "COUNTRY_CODE": "tk",
            "COUNTRY_INT_DIAL_CODE": "690"
        },
        {
            "COUNTRY_ID": "Tonga",
            "COUNTRY_NAME": "Tonga",
            "COUNTRY_CODE": "to",
            "COUNTRY_INT_DIAL_CODE": "676"
        },
        {
            "COUNTRY_ID": "TrinidadAndTobago",
            "COUNTRY_NAME": "Trinidad and Tobago",
            "COUNTRY_CODE": "tt",
            "COUNTRY_INT_DIAL_CODE": "1868"
        },
        {
            "COUNTRY_ID": "Tunisia",
            "COUNTRY_NAME": "Tunisia",
            "COUNTRY_CODE": "tn",
            "COUNTRY_INT_DIAL_CODE": "216"
        },
        {
            "COUNTRY_ID": "Turkey",
            "COUNTRY_NAME": "Turkey",
            "COUNTRY_CODE": "tr",
            "COUNTRY_INT_DIAL_CODE": "90"
        },
        {
            "COUNTRY_ID": "Turkmenistan",
            "COUNTRY_NAME": "Turkmenistan",
            "COUNTRY_CODE": "tm",
            "COUNTRY_INT_DIAL_CODE": "993"
        },
        {
            "COUNTRY_ID": "TurksAndCaicosIslands",
            "COUNTRY_NAME": "Turks and Caicos Islands",
            "COUNTRY_CODE": "tc",
            "COUNTRY_INT_DIAL_CODE": "1649"
        },
        {
            "COUNTRY_ID": "Tuvalu",
            "COUNTRY_NAME": "Tuvalu",
            "COUNTRY_CODE": "tv",
            "COUNTRY_INT_DIAL_CODE": "688"
        },
        {
            "COUNTRY_ID": "Uganda",
            "COUNTRY_NAME": "Uganda",
            "COUNTRY_CODE": "ug",
            "COUNTRY_INT_DIAL_CODE": "256"
        },
        {
            "COUNTRY_ID": "UK",
            "COUNTRY_NAME": "United Kingdom",
            "COUNTRY_CODE": "gb",
            "COUNTRY_INT_DIAL_CODE": "44"
        },
        {
            "COUNTRY_ID": "Ukraine",
            "COUNTRY_NAME": "Ukraine",
            "COUNTRY_CODE": "ua",
            "COUNTRY_INT_DIAL_CODE": "380"
        },
        {
            "COUNTRY_ID": "UnitedArabEmirates",
            "COUNTRY_NAME": "United Arab Emirates",
            "COUNTRY_CODE": "ae",
            "COUNTRY_INT_DIAL_CODE": "971"
        },
        {
            "COUNTRY_ID": "Uruguay",
            "COUNTRY_NAME": "Uruguay",
            "COUNTRY_CODE": "uy",
            "COUNTRY_INT_DIAL_CODE": "598"
        },
        {
            "COUNTRY_ID": "US",
            "COUNTRY_NAME": "United States",
            "COUNTRY_CODE": "us",
            "COUNTRY_INT_DIAL_CODE": "1"
        },
        {
            "COUNTRY_ID": "Uzbekistan",
            "COUNTRY_NAME": "Uzbekistan",
            "COUNTRY_CODE": "uz",
            "COUNTRY_INT_DIAL_CODE": "998"
        },
        {
            "COUNTRY_ID": "Vanuatu",
            "COUNTRY_NAME": "Vanuatu",
            "COUNTRY_CODE": "vu",
            "COUNTRY_INT_DIAL_CODE": "678"
        },
        {
            "COUNTRY_ID": "Venezuela",
            "COUNTRY_NAME": "Venezuela",
            "COUNTRY_CODE": "ve",
            "COUNTRY_INT_DIAL_CODE": "58"
        },
        {
            "COUNTRY_ID": "Vietnam",
            "COUNTRY_NAME": "Vietnam",
            "COUNTRY_CODE": "vn",
            "COUNTRY_INT_DIAL_CODE": "84"
        },
        {
            "COUNTRY_ID": "VirginIslands",
            "COUNTRY_NAME": "Virgin Islands",
            "COUNTRY_CODE": "vi",
            "COUNTRY_INT_DIAL_CODE": "1340"
        },
        {
            "COUNTRY_ID": "WallisAndFutuna",
            "COUNTRY_NAME": "Wallis and Futuna",
            "COUNTRY_CODE": "wf",
            "COUNTRY_INT_DIAL_CODE": "681"
        },
        {
            "COUNTRY_ID": "Yemen",
            "COUNTRY_NAME": "Yemen",
            "COUNTRY_CODE": "ye",
            "COUNTRY_INT_DIAL_CODE": "967"
        },
        {
            "COUNTRY_ID": "Zambia",
            "COUNTRY_NAME": "Zambia",
            "COUNTRY_CODE": "zm",
            "COUNTRY_INT_DIAL_CODE": "260"
        },
        {
            "COUNTRY_ID": "Zimbabwe",
            "COUNTRY_NAME": "Zimbabwe",
            "COUNTRY_CODE": "zw",
            "COUNTRY_INT_DIAL_CODE": "263"
        }
    ]

    @staticmethod
    def get_country_data(country_id=None,
                         country_code=None,
                         country_int_dial_code=None):
        results = []

        if country_id is not None:
            for entry in CallerLookupCountryCodes.COUNTRY_DATA:
                if country_id.upper() == entry["COUNTRY_ID"]:
                    results.append(entry)

        if country_code is not None:
            for entry in CallerLookupCountryCodes.COUNTRY_DATA:
                if country_code.upper() == entry["COUNTRY_CODE"]:
                    results.append(entry)

        if country_int_dial_code is not None:
            for entry in CallerLookupCountryCodes.COUNTRY_DATA:
                if country_int_dial_code == entry["COUNTRY_INT_DIAL_CODE"]:
                    results.append(entry)

        return results


def get_region_dial_code(region):
    data = CallerLookupCountryCodes.get_country_data(country_code=region)
    if data is None or len(data) == 0:
        return None
    if len(data) > 1:
        raise Exception("Multiple Regions Found")
    return data[0]["COUNTRY_INT_DIAL_CODE"]